package com.example.demotomcat;

import jakarta.servlet.*;
import jakarta.servlet.http.*;
import jakarta.servlet.annotation.*;

import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(name = "SayHelloServlet", value = "/SayHelloServlet")
public class SayHelloServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html");
        request.getRequestDispatcher("hello_friend.html").forward(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html");
        String firstname = request.getParameter("firstname");
        String lastname = request.getParameter("lastname");

        request.setAttribute("firstname", firstname);
        request.setAttribute("lastname", lastname);

        request.getRequestDispatcher("say_hello_jstl.jsp").forward(request, response);
    }
}
